Description

Al intentar exportar un shapefile a PostGIS ocurre la siguiente excepción:

Caused by: org.postgresql.util.PSQLException: ERROR: no existe la función st_addgeometrycolumn(unknown, unknown,
unknown, integer, unknown, integer)
  Hint: Ninguna función coincide en el nombre y tipos de argumentos. Puede ser necesario agregar conversión explícita de
tipos.
  Position: 8
    at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2103)
    at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1836)
    at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:257)
    at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:512)
    at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:374)
    at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:366)
    at org.apache.commons.dbcp.DelegatingStatement.execute(DelegatingStatement.java:264)
    at org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorer$4.action(JDBCServerExplorer.java:527)

Parece que intenta ejecutar la función st_addgeometrycolumn. Esa función no existe, es AddGeometryColumn

History
#1 - 12/20/2013 12:50 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 12/20/2013 02:30 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed function name.

gvsig-postgresql:r39

New package already available:
http://devel.gvsig.org/download/projects/gvsig-postgresql/pool/org.gvsig.postgresql.app.mainplugin/gvSIG-desktop-2.1.0-org.gvsig.postgresql.app.mai
plugin-2.0.18-2074-testing-all-all-j1_5.gvspkg

#3 - 12/20/2013 06:16 PM - José Vicente Higón

Ya funciona. 
Como mejora, se podría especificar el tipo de geometría para que no se almacene como el tipo GEOMETRY.

#4 - 01/13/2014 09:50 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#5 - 01/28/2014 09:15 AM - Álvaro Anguix
- Status changed from Fixed to Closed

#6 - 01/28/2014 09:16 AM - Álvaro Anguix

Chevy: cualquier mejora súbela como nueva feature request para tenerla en cuenta a futuro
